// import type { RouteRecordRaw } from 'vue-router'
import type { RouteRecordRawWithMeta } from '../routes.d'

export default <RouteRecordRawWithMeta>
  {
    path: '/ptsz/bjgl',
    component: () => import('~/layout/app/index.vue'),
    name: 'PTSZ_BJGL',
    props: false,
    meta: {
      hidden: true,
      breadcrumb: true,
      sort: 1,
      title: '班级管理',
    },
    children: [
      {
        path: '',
        name: 'PTSZ_BJGL_INDEX',
        props: false,
        meta: {
          hidden: false,
          breadcrumb: true,
          sort: 1,
          title: '班级管理',
        },
        component: () => import('~/pages/ptsz/bjgl/index.vue'),
      }
    ],
  }