// import type { RouteRecordRaw } from 'vue-router'
import type { RouteRecordRawWithMeta } from '../routes.d'

export default <RouteRecordRawWithMeta>
  {
    path: '/yhzx/grzx',
    component: () => import('~/layout/app/index.vue'),
    name: 'yhzx_grzx',
    props: false,
    meta: {
      hidden: true,
      breadcrumb: true,
      sort: 1,
      title: '个人中心',
    },
    children: [
      {
        path: '',
        name: 'yhzx_grzx_index',
        component: () => import('~/pages/yhzx/grzx/index.vue'),
        meta: {
          hidden: false,
          sort: 1,
          title: '个人中心',
        },
      },
    ],
  }