// generate by plop-starter
import type { RouteRecordRawWithMeta } from '../routes.d'

export default <RouteRecordRawWithMeta>{
  path: '/ptsz',
  name: 'PTSZ',
  props: false,
  meta: {
    hidden: false,
    breadcrumb: true,
    sort: 0,
    title: '平台设置',
  },
  component: () => import('~/layout/app/index.vue'),
  children: [
    {
      path: 'xxsz',
      name: 'PTSZ_XXSZ',
      props: false,
      meta: {
        hidden: false,
        breadcrumb: false,
        sort: 0,
        title: '学校设置',
      },
      component: () => import('~/pages/ptsz/xxsz/index.vue'),
    },
    // {
    //   path: 'jcxxsz',
    //   name: 'PTSZ_JCXXSZ',
    //   props: false,
    //   meta: {
    //     hidden: false,
    //     breadcrumb: true,
    //     sort: 1,
    //     title: '基础信息设置',
    //   },
    //   component: () => import('~/pages/ptsz/jcxxsz/index.vue'),
    // },
    {
      path: 'dblsz',
      name: 'PTSZ_DBLSZ',
      props: false,
      meta: {
        hidden: false,
        breadcrumb: true,
        sort: 1,
        title: '底部栏设置',
      },
      component: () => import('~/pages/ptsz/dblsz/index.vue'),
    },
    // {
    //   path: 'bjgl',
    //   name: 'PTSZ_BJGL',
    //   props: false,
    //   meta: {
    //     hidden: false,
    //     breadcrumb: true,
    //     sort: 1,
    //     title: '班级管理',
    //   },
    //   component: () => import('~/pages/ptsz/bjgl/index.vue'),
    // },
    // {
    //   path: 'kcgl',
    //   name: 'https://jltweb.bozedu.net/#/seriescourses/famousteachonline?from=my&fromname=课程管理&appname=课程管理&js_code=默认值',
    //   props: false,
    //   meta: {
    //     hidden: false,
    //     breadcrumb: true,
    //     sort: 2,
    //     title: '课程管理',
    //     // externalLink:"https://jltweb.bozedu.net/#/seriescourses/famousteachonline?from=my&fromname=课程管理&"
    //   },
    //   // component: () => import('~/pages/ptsz/dblsz/index.vue'),
    // },
  ],
  redirect: {
    name: 'PTSZ_XXSZ',
  },
}
